microsoft-foundry.rest.security.o-auth2-auth
Indexes
Get a version
GET
/indexes/{name}/versions/{version}
Get the specific version of the Index. The service returns 404 Not Found error if the Index does not exist.
Parámetros de consulta
api-version
string
requerido
The API version to use for this operation.
Parámetros de la ruta de acceso
name
string
requerido
The name of the resource
version
string
requerido
The specific version id of the Index to retrieve.
Respuestas
The request has succeeded.
Cuerpo
Content-Type: application/json
Uno de los siguientes:
AzureSearch
AzureAISearchIndex
Azure AI Search Index Definition
type
enum
requerido
Type of index
AzureSearch
ManagedAzureSearch
ManagedAzureAISearchIndex
Managed Azure AI Search Index Definition
type
enum
requerido
Type of index
ManagedAzureSearch
CosmosDBNoSqlVectorStore
CosmosDBIndex
CosmosDB Vector Store Index Definition
type
enum
requerido
Type of index
CosmosDBNoSqlVectorStore
Solicitar
GET /indexes/{name}/versions/{version} HTTP/1.1
Respuesta
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json